Bug 203962 - Log the usage of user-installed plugins
Log the usage of user-installed plugins
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Logger
7.1
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
logger-issues@ide
http://wiki.netbeans.org/UsageLogging...
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 12:30 UTC by Petr Jiricka
Modified: 2013-05-06 08:18 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2011-10-19 12:30:11 UTC
It would be useful to add usage logging for plugins that the user installed that are not a part of the distribution, so it is possible to find out what plugins have people installed and how many people use individual plugins.
Comment 1 Martin Entlicher 2013-05-04 13:51:44 UTC
Fixed by USG_USER_INSTALLED_MODULES log record:
http://hg.netbeans.org/core-main/rev/7725bb9d15a2
Comment 2 Quality Engineering 2013-05-05 02:30:28 UTC
Integrated into 'main-golden', will be available in build *201305042300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7725bb9d15a2
User: mentlicher@netbeans.org
Log: #203962: User installed plugins are logged.
Comment 3 Petr Jiricka 2013-05-06 08:18:48 UTC
Thanks a lot Martin. Can you please also document this in wiki? Thanks.
http://wiki.netbeans.org/UsageLoggingSpecification


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo